/* 
 * File:   BNO055.h
 * Author: zacharykowalczyk
 *
 * Created on March 5, 2020, 5:08 PM
 */

#ifndef BNO055_H
#define	BNO055_H

#include <xc.h>
#include "i2c5mz.h"
#include <stdint.h>

// Data divisors
#define EULDIV 16
#define GYRDIV 16
#define MAGDIV 16
#define ACCELDIV 100

// Addresses
#define ADDR_W_BNO 0x52
#define ADDR_R_BNO 0x53

// Struct to store BNO055 data
typedef struct
{    
    float eul_pitch_data;
    float eul_roll_data;
    float eul_heading_data;
    
    float gyr_x_data;
    float gyr_y_data;
    float gyr_z_data;
    
    float mag_x_data;
    float mag_y_data;
    float mag_z_data;
    
    float accel_x_data;
    float accel_y_data;
    float accel_z_data;
    
} Data_BNO;


// Function prototypes
void config_BNO055();
void read_BNO055(Data_BNO*);
void delay(void);



#endif	/* BNO055_H */

