/* 
 * File:   packet.h
 * Author: zacharykowalczyk
 *
 * Created on February 21, 2020, 9:26 PM
 */

#ifndef PACKET_H
#define	PACKET_H

#include "KX222.h"
#include "BNO055.h"

// Defines the structure of a packet to be sent
// Packet is structured as a union between an organized structure (Data)
// And an array of 100 bytes. This allows the packet to be directly passed
// to the transmitter functions and sent as an array of bytes, while also
// accessing individual fields easily when pulling data from sensors via the struct

typedef struct{
    uint32_t time;
    float altitude;
    Data_KX kx_data[8];
    Data_BNO bno_data;
}Data;

typedef union {

    Data data;
    uint8_t buffer[100];
} Packet;




#endif	/* PACKET_H */

